unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ASGSQLite;

type
  TFMain = class(TForm)
    ASQLiteDB1: TASQLiteDB;
    ListBox1: TListBox;
    ListBox2: TListBox;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FMain: TFMain;

implementation

{$R *.dfm}

procedure TFMain.FormCreate(Sender: TObject);
begin
 ASQLiteDB1.ShowDatabases(ListBox1.Items);
end;

procedure TFMain.ListBox1Click(Sender: TObject);
begin
 ASQLiteDB1.Database := ListBox1.Items[ListBox1.ItemIndex];
 ASQLiteDB1.GetTableNames(ListBox2.Items, true);
end;

end.
